discount_phone:
  class: sfDoctrineRouteCollection
  options:
    model:                DiscountPhone
    module:               discount_phone
    prefix_path:          /discount_phone
    column:               id
    with_wildcard_routes: true

discount:
  class: sfDoctrineRouteCollection
  options:
    model:                Discount
    module:               discount
    prefix_path:          /discount
    column:               id
    with_wildcard_routes: true

notification_emails:
  class: sfDoctrineRouteCollection
  options:
    model:                NotificationEmails
    module:               notification_emails
    prefix_path:          /notification_emails
    column:               id
    with_wildcard_routes: true

callback:
  class: sfDoctrineRouteCollection
  options:
    model:                Callback
    module:               callback
    prefix_path:          /callback
    column:               id
    with_wildcard_routes: true

basket_order:
  class: sfDoctrineRouteCollection
  options:
    model:                BasketOrder
    module:               basket_order
    prefix_path:          /basket_order
    column:               id
    with_wildcard_routes: true

offer:
  class: sfDoctrineRouteCollection
  options:
    model:                Offer
    module:               offer
    prefix_path:          /offer
    column:               id
    with_wildcard_routes: true

product_prop_value:
  class: sfDoctrineRouteCollection
  options:
    model:                ProductPropValue
    module:               product_prop_value
    prefix_path:          /product_prop_value
    column:               id
    with_wildcard_routes: true

suppliers:
  class: sfDoctrineRouteCollection
  options:
    model:                Suppliers
    module:               suppliers
    prefix_path:          /suppliers
    column:               id
    with_wildcard_routes: true

review:
  class: sfDoctrineRouteCollection
  options:
    model:                Review
    module:               review
    prefix_path:          /review
    column:               id
    with_wildcard_routes: true

partners:
  class: sfDoctrineRouteCollection
  options:
    model:                Partners
    module:               partners
    prefix_path:          /partners
    column:               id
    with_wildcard_routes: true

video:
  class: sfDoctrineRouteCollection
  options:
    model:                Video
    module:               video
    prefix_path:          /video
    column:               id
    with_wildcard_routes: true

article:
  class: sfDoctrineRouteCollection
  options:
    model:                Article
    module:               article
    prefix_path:          /article
    column:               id
    with_wildcard_routes: true

tag:
  class: sfDoctrineRouteCollection
  options:
    model:                Tag
    module:               tag
    prefix_path:          /tag
    column:               id
    with_wildcard_routes: true

product_prop_list_ajax_delete:
  url: /product_prop/ajax_delete/
  param: { module: product_prop, action: ajax_delete}

product_prop_list:
  class: sfDoctrineRouteCollection
  options:
    model:                ProductPropList
    module:               product_prop_list
    prefix_path:          /product_prop_list
    column:               id
    with_wildcard_routes: true

product_prop:
  class: sfDoctrineRouteCollection
  options:
    model:                ProductProp
    module:               product_prop
    prefix_path:          /product_prop
    column:               id
    with_wildcard_routes: true

product:
  class: sfDoctrineRouteCollection
  options:
    model:                Product
    module:               product
    prefix_path:          /product
    column:               id
    with_wildcard_routes: true

cat:
  class: sfDoctrineRouteCollection
  options:
    model:                Cat
    module:               cat
    prefix_path:          /cat
    column:               id
    with_wildcard_routes: true

user:
  class: sfDoctrineRouteCollection
  options:
    model:                User
    module:               user
    prefix_path:          /user
    column:               id
    with_wildcard_routes: true

page:
  class: sfDoctrineRouteCollection
  options:
    model:                Page
    module:               page
    prefix_path:          /page
    column:               id
    with_wildcard_routes: true

uploader:
  url: /uploader
  param: { module: main, action: uploader }

signin:
  url: /login
  param: { module: baseAuth, action: signin }

signout:
  url: /logout
  param: { module: baseAuth, action: signout }

homepage:
  url:   /
  param: { module: cat, action: index }

default_index:
  url:   /:module
  param: { action: index }
  
default:
  url:   /:module/:action/*
